Skip to content
Myra Online Help Updated · 25 Aug 2026

Changing a replication DNS zone

Note

The body must contain the id and modified attributes in order to identify the corresponding entry.

Note

The name of the zone cannot be changed subsequently. The system accepts the attribute zoneName when the zone is created only.

Note

When you clear the attribute tsigKeyName, the system also removes the algorithm and the TSIG key of the zone.

Sends a PUT request to the endpoint /replication-dns/zones/{id}.

Description

The Change-Replication-DNS-Zone request allows the user to change a replication DNS zone of the organisation.

Requirements

Values of the request: Zone-ID {id}

Objects: ReplicationDnsZoneVO

Request

To change a replication DNS zone, the Zone-ID {id} needs to be added to the path of the request.

For a detailed specification of which information is required to change a replication DNS zone, the object ReplicationDnsZoneVO with the following attributes needs to be defined in the body:

Attributes Description Values
id The ID of the entry. integer
modified The last modification date in ISO 8601 format. string($date-time)
masters An array with the IP addresses of the master name servers Myra transfers the zone from. At least one IP address is necessary. IPv4 and IPv6 addresses are permitted. array

The following attributes are optional:

Attributes Description Values
replicationMethod The method Myra uses to transfer the zone from the master name server. Default: IXFR
The following values are available:
  • AXFR
  • IXFR
  • IXFR_UDP
tsigKeyName The name of the TSIG key that protects the zone transfer. string
tsigKeyAlgorithm The algorithm of the TSIG key. The attribute is necessary as soon as a TSIG key is set.
  • hmac-md5
  • hmac-sha1
  • hmac-sha224
  • hmac-sha256
  • hmac-sha384
  • hmac-sha512
tsigKey The TSIG key. Send the attribute to replace the existing key. string

The system returns the object ReplicationDnsZoneVO with the changed information.

Example

Example request body:

{
  "id": 0,
  "modified": "string",
  "replicationMethod": "string",
  "masters": [
    "string"
  ],
  "tsigKeyName": "string",
  "tsigKeyAlgorithm": "string",
  "tsigKey": "string"
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
200 The request has succeeded.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.